/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License, Version 1.0 only
 * (the "License").  You may not use this file except in compliance
 * with the License.
 *
 * You can obtain a copy of the license at /OPENSPML_V2_TOOLKIT.LICENSE
 * or http://www.openspml.org/v2/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at /OPENSPML_V2_TOOLKIT.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */
/*
 * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */
package org.openspml.v2.test;

import org.openspml.v2.provider.SPMLExecutor;
import org.openspml.v2.msg.spml.Response;
import org.openspml.v2.msg.spml.Request;
import org.openspml.v2.msg.spml.StatusCode;
import org.openspml.v2.util.Spml2Exception;

public class DeadEndExecutor implements SPMLExecutor {

    private static final String code_id = "$Id: DeadEndExecutor.java,v 1.1 2006/03/15 23:56:51 kas Exp $";

    /**
     * This is for testing - all we do is return an error - stating the name
     * of the class that we saw.
     *
     * @param request
     * @return
     * @throws Spml2Exception
     */
    public Response execute(Request request) throws Spml2Exception {
        String classname = request.getClass().getName();
        Response resp = new Response(StatusCode.FAILURE);
        resp.addErrorMessage("DeadEnd saw a request of class " + classname);
        return resp;
    }
}
