/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License, Version 1.0 only
 * (the "License").  You may not use this file except in compliance
 * with the License.
 *
 * You can obtain a copy of the license at /OPENSPML_V2_TOOLKIT.LICENSE
 * or http://www.openspml.org/v2/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at /OPENSPML_V2_TOOLKIT.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */
/*
 * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */
package org.openspml.v2.test;

import junit.framework.TestCase;
import junit.framework.Test;
import junit.framework.TestSuite;
import junit.textui.TestRunner;
import org.openspml.v2.msg.spml.TestCoreMarshalling;

/**
 * @author kent.spaulding@sun.com
 *         <p/>
 *         Date: Mar 6, 2006
 */
public class EchoClientTest extends TestCase {

    private static final String code_id = "$Id: EchoClientTest.java,v 1.1 2006/03/15 20:40:00 kas Exp $";

    public EchoClientTest() {
        super("SPMLv2 EchoClientTest Test");
    }

    public static void main(String[] args) {
         TestRunner.run(suite());
     }

     public EchoClientTest(String name) {
         super(name);
     }

     /**
      * Creates the TestSuite for the directories in the package.
      */
     public static Test suite() {
         TestSuite suite = new TestSuite(EchoClientTest.class);
         return suite;
     }

     public void testEchoDispatcher() {

         // This should just send some requests to the server and they should
         // get echoed back.
     }
}
