/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License, Version 1.0 only
 * (the "License").  You may not use this file except in compliance
 * with the License.
 *
 * You can obtain a copy of the license at /OPENSPML_V2_TOOLKIT.LICENSE
 * or http://www.openspml.org/v2/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at /OPENSPML_V2_TOOLKIT.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */
/*
 * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */
package org.openspml.v2.test;

import org.openspml.v2.transport.RPCDispatcher;
import org.openspml.v2.transport.RPCRouterServlet;
import org.openspml.v2.transport.Spml2TransportException;
import org.openspml.v2.transport.RPCRouter;

import javax.servlet.ServletException;
import java.util.Map;

/**
 * This is test class used to exercise the plumbing of the RPCRouterServlet.
 * 
 * @author kent.spaulding@sun.com
 *         <p/>
 *         Date: Jan 26, 2006
 */
public class EchoDispatcher implements RPCDispatcher {

    private static final String code_id = "$Id: EchoDispatcher.java,v 1.4 2006/05/04 21:37:34 kas Exp $";

    public EchoDispatcher() {}

    public void init(RPCRouter router, Map config) throws Spml2TransportException {
        System.out.println("EchoDispatcher initialized.");
    }

    public String dispatchRequest(String message) throws Spml2TransportException {
        return message;
    }

    public String getContentType() {
        return "text/xml; charset=UTF-8";
    }
}
